﻿using Hack.Xenosaga.Common;
using Hack.Xenosaga.Process;

namespace Hack.Xenosaga
{
    class Xenosaga
    {
        public static void Main(string[] args)
        {
            Variables.stArgs listArgs;

            if (!Functions.checkArgs(args, out listArgs))
            {
                Functions.usage();
                return;
            }

            switch (listArgs.option)
            {
                case "-l":
                    Unpack.listFiles(listArgs.filename);
                    break;

                case "-p":
                    Unpack.packIsoFiles(listArgs.filename, listArgs.regroup);
                    break;

                case "-u":
                    Unpack.unpackIsoFiles(listArgs.filename);
                    break;
            }
        }
    }
}
